Subject: Kernel 3.12: netconsole no longer working with bridged network interfaces ?

From: Bart Van Assche <[email-masked]>
Date: Fri, 25 Oct 2013 09:26:10 +0200

Hello,

If I try to enable netconsole with kernel 3.12-rc5 on a non-bridged 
network interface (e.g. controlled by the virtio_net driver) that works 
fine. However, if I try to enable netconsole with kernel 3.12-rc5 on a 
bridged network interface the remote system does not receive any kernel 
messages over the network. Enabling netconsole over a bridged network 
interface works fine with every older kernel I have tried so far (e.g. 
3.11.6). Did I perhaps run into a regression ?

Thanks,

Bart.